/* 
*
*  ProLinga-Validate
*
*  Copyright (C) 2002-2008 Xobas Software. 
*  All rights reserved.
*  
*  This file is part of ProLinga-Validate.
*
*  ProLinga-Validate is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Validate is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Validate.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#ifndef __VALIDATE_HPP
#define __VALIDATE_HPP

/* Declarations libxml 2 */
#include <libxml/xmlmemory.h>
#include <libxml/parser.h>
/* End declarations libxml 2 */

/* Class for the execution of a Validate Command */
class PlValidate
{
	public:
		PlValidate();
		~PlValidate();
		void validateOpen(const char *configFileName);
		void validateClose(void);
		xmlDocPtr executeCommand(const xmlDocPtr validateRequest);
	private:
		bool isValidateOpen;
};
typedef PlValidate *PlValidatePtr;


#endif /* __VALIDATE_HPP */

